com.h3c.of.lib.mp

## Class MBodyMutableMeterConfigRequest

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.mp.MBodyMeterRequest
    - - com.h3c.of.lib.mp.MBodyMutableMeterRequest
      - - com.h3c.of.lib.mp.MBodyMutableMeterConfigRequest

- All Implemented Interfaces:
    MultipartBody, MutableObject, MutableStructure, Structure

      public class MBodyMutableMeterConfigRequest
      extends MBodyMutableMeterRequest

  Mutable subclass of `MBodyMeterConfigRequest`.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenflowStructure` | `toImmutable()` Returns an immutable instance of this structure.

    - ### Methods inherited from class com.h3c.of.lib.mp.MBodyMutableMeterRequest

      `meterId, toString, writable`

    - ### Methods inherited from class com.h3c.of.lib.mp.MBodyMeterRequest

      `getMeterId, getTotalLength, validate`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex, toDebugString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion, toDebugString`

- - ### Method Detail

    - #### toImmutable

          public OpenflowStructure toImmutable()

      Description copied from interface: `MutableStructure`
      Returns an immutable instance of this structure. In essence, converts this structure to be read-only.

      It is expected that the reference to this mutable structure will be dropped. Note that all method calls invoked on a `MutableStructure` after `toImmutable()` has been invoked will result in an `InvalidMutableException` being thrown.

      Returns:
        an immutable instance of this structure.

Copyright © 2014. All Rights Reserved.